Bug 175895 - Review Request: perl-DBD-XBase - Perl module for reading and writing the dbf files
Review Request: perl-DBD-XBase - Perl module for reading and writing the dbf ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
:
: 177272 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 175896
  Show dependency treegraph
 
Reported: 2005-12-15 19:13 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 20:09:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-12-15 19:13:39 EST
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-DBD-XBase.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-DBD-XBase-0.241-1.src.rpm

Description:
This module can read and write XBase database files, known as dbf in
dBase and FoxPro world. It also transparently reads memo fields from
the dbt, fpt and smt files and works with index files (ndx, ntx, mdx, idx,
cdx and SDBM). This module XBase.pm provides simple native interface
to XBase files. For DBI compliant database access, see DBD::XBase and
DBI modules and their man pages.

Note: This is a perl-SQL-Statement BR
Comment 1 Ralf Corsepius 2005-12-15 23:05:20 EST
Basically the package seems OK to me, but I am seeing 2 minor issues with it:

1. The package contains /usr/bin/indexdump.
This name ("indexdump") seems too general/generic to me for this specialized
tools to have it in /usr/bin. May-be one should consider to split the
applications out of the perl-module package into a separate application package.
I am not sure.

2. Something it broken with the Makefile.
The ./bin/indexdump being generated inside when running "make" contains 
two "#!/usr/bin/perl -w" shebangs instead of one.

Anyway, APPROVED
Comment 2 Jose Pedro Oliveira 2005-12-16 14:45:17 EST
(In reply to comment #1)
> Basically the package seems OK to me, but I am seeing 2 minor issues with it:
> 
> 1. The package contains /usr/bin/indexdump.
> This name ("indexdump") seems too general/generic to me for this specialized
> tools to have it in /usr/bin. May-be one should consider to split the
> applications out of the perl-module package into a separate application package.
> I am not sure.

Maybe renaming it to dbfindexdump in case of conflict?  The patch would have
to modified the Makefile.PL, some parts of the documentation, and at least a
test file.
 
> 2. Something it broken with the Makefile.
> The ./bin/indexdump being generated inside when running "make" contains 
> two "#!/usr/bin/perl -w" shebangs instead of one.

Corrected. Patched added to CVS (devel branch - tagged and built as release 2).

> Anyway, APPROVED

Thanks. 

PS - Still waiting for the FC-4 CVS branch creation.
Comment 3 Jose Pedro Oliveira 2005-12-16 20:09:16 EST
FC-4 build completed.
Comment 4 Paul Howarth 2006-01-09 10:13:34 EST
*** Bug 177272 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.